<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="2.18"/>
  <!-- interface-naming-policy project-wide -->
  <object class="GtkListStore" id="allstartuplist">
    <columns>
      <!-- column-name servicename -->
      <column type="gchararray"/>
      <!-- column-name servicefile -->
      <column type="gchararray"/>
      <!-- column-name enabled -->
      <column type="gint"/>
    </columns>
  </object>
  <object class="GtkListStore" id="mystartuplist">
    <columns>
      <!-- column-name servicename -->
      <column type="gchararray"/>
      <!-- column-name servicefile -->
      <column type="gchararray"/>
      <!-- column-name enabled -->
      <column type="gint"/>
    </columns>
  </object>
  <object class="GtkWindow" id="main_window">
    <property name="can_focus">False</property>
    <property name="border_width">8</property>
    <property name="title" translatable="yes">Fatdog64 Startup Manager</property>
    <property name="window_position">center</property>
    <property name="default_width">350</property>
    <property name="default_height">300</property>
    <property name="icon">/usr/share/pixmaps/mini-icons/mini-ray.xpm</property>
    <child>
      <object class="GtkVBox" id="vbox1">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="spacing">8</property>
        <child>
          <object class="GtkNotebook" id="notebook1">
            <property name="visible">True</property>
            <property name="can_focus">True</property>
            <child>
              <object class="GtkAlignment" id="alignment1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="top_padding">4</property>
                <property name="bottom_padding">4</property>
                <property name="left_padding">4</property>
                <property name="right_padding">4</property>
                <child>
                  <object class="GtkHBox" id="hbox1">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <child>
                      <object class="GtkScrolledWindow" id="scrolledwindow1">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="hscrollbar_policy">automatic</property>
                        <property name="vscrollbar_policy">automatic</property>
                        <child>
                          <object class="GtkTreeView" id="mystartupview">
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="model">mystartuplist</property>
                            <property name="search_column">0</property>
                            <child>
                              <object class="GtkTreeViewColumn" id="treeviewcolumn1">
                                <property name="title">Program</property>
                                <property name="expand">True</property>
                                <property name="clickable">True</property>
                                <property name="sort_indicator">True</property>
                                <property name="sort_column_id">0</property>
                                <child>
                                  <object class="GtkCellRendererText" id="cellrenderertext1"/>
                                  <attributes>
                                    <attribute name="text">0</attribute>
                                  </attributes>
                                </child>
                              </object>
                            </child>
                            <child>
                              <object class="GtkTreeViewColumn" id="treeviewcolumn2">
                                <property name="visible">False</property>
                                <property name="title" translatable="yes">Service File</property>
                                <property name="clickable">True</property>
                                <property name="sort_indicator">True</property>
                                <property name="sort_column_id">1</property>
                                <child>
                                  <object class="GtkCellRendererText" id="cellrenderertext2"/>
                                  <attributes>
                                    <attribute name="text">1</attribute>
                                  </attributes>
                                </child>
                              </object>
                            </child>
                            <child>
                              <object class="GtkTreeViewColumn" id="treeviewcolumn3">
                                <property name="title" translatable="yes">Enabled</property>
                                <property name="clickable">True</property>
                                <property name="sort_indicator">True</property>
                                <property name="sort_column_id">2</property>
                                <child>
                                  <object class="GtkCellRendererToggle" id="cellrenderertoggle1"/>
                                  <attributes>
                                    <attribute name="active">2</attribute>
                                  </attributes>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">True</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkToolbar" id="toolbar1">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="orientation">vertical</property>
                        <property name="icon_size">1</property>
                        <property name="icon_size_set">True</property>
                        <child>
                          <object class="GtkToolButton" id="my-enable-button">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">"Enable" will start this program at every boot.</property>
                            <property name="label" translatable="yes">Enable</property>
                            <property name="use_underline">True</property>
                            <property name="stock_id">gtk-apply</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="homogeneous">True</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkToolButton" id="my-disable-button">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">"Disable" will stop this program from being started at next boot.</property>
                            <property name="label" translatable="yes">Disable</property>
                            <property name="use_underline">True</property>
                            <property name="stock_id">gtk-cancel</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="homogeneous">True</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkToolButton" id="my-start-button">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">Run the program now. Note: there is no option to stop, you will have to use the program's own facility to stop it. It will also happily start a second copy of the program if the program does not prevent that from happening.</property>
                            <property name="label" translatable="yes">Start</property>
                            <property name="use_underline">True</property>
                            <property name="stock_id">gtk-media-play</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="homogeneous">True</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child type="tab">
              <object class="GtkLabel" id="label1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">This shows the list of programs that will be started up when you start the desktop, but only for your own userid.</property>
                <property name="label" translatable="yes">Personal startup programs</property>
              </object>
              <packing>
                <property name="tab_fill">False</property>
              </packing>
            </child>
            <child>
              <object class="GtkAlignment" id="alignment2">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="top_padding">4</property>
                <property name="bottom_padding">4</property>
                <property name="left_padding">4</property>
                <property name="right_padding">4</property>
                <child>
                  <object class="GtkHBox" id="hbox2">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <child>
                      <object class="GtkScrolledWindow" id="scrolledwindow2">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="hscrollbar_policy">automatic</property>
                        <property name="vscrollbar_policy">automatic</property>
                        <child>
                          <object class="GtkTreeView" id="allstartupview">
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="model">allstartuplist</property>
                            <property name="search_column">0</property>
                            <child>
                              <object class="GtkTreeViewColumn" id="treeviewcolumn4">
                                <property name="title">Program</property>
                                <property name="expand">True</property>
                                <property name="clickable">True</property>
                                <property name="sort_indicator">True</property>
                                <property name="sort_column_id">0</property>
                                <child>
                                  <object class="GtkCellRendererText" id="cellrenderertext3"/>
                                  <attributes>
                                    <attribute name="text">0</attribute>
                                  </attributes>
                                </child>
                              </object>
                            </child>
                            <child>
                              <object class="GtkTreeViewColumn" id="treeviewcolumn5">
                                <property name="visible">False</property>
                                <property name="title" translatable="yes">Service File</property>
                                <property name="clickable">True</property>
                                <property name="sort_indicator">True</property>
                                <property name="sort_column_id">1</property>
                                <child>
                                  <object class="GtkCellRendererText" id="cellrenderertext4"/>
                                  <attributes>
                                    <attribute name="text">1</attribute>
                                  </attributes>
                                </child>
                              </object>
                            </child>
                            <child>
                              <object class="GtkTreeViewColumn" id="treeviewcolumn6">
                                <property name="title" translatable="yes">Enabled</property>
                                <property name="clickable">True</property>
                                <property name="sort_indicator">True</property>
                                <property name="sort_column_id">2</property>
                                <child>
                                  <object class="GtkCellRendererToggle" id="cellrenderertoggle2"/>
                                  <attributes>
                                    <attribute name="active">2</attribute>
                                  </attributes>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">True</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkToolbar" id="toolbar2">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="orientation">vertical</property>
                        <property name="icon_size">1</property>
                        <property name="icon_size_set">True</property>
                        <child>
                          <object class="GtkToolButton" id="all-enable-button">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">"Enable" will start this program at every boot.</property>
                            <property name="label" translatable="yes">Enable</property>
                            <property name="use_underline">True</property>
                            <property name="stock_id">gtk-apply</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="homogeneous">True</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkToolButton" id="all-disable-button">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">"Disable" will stop this program from being started at next boot.</property>
                            <property name="label" translatable="yes">Disable</property>
                            <property name="use_underline">True</property>
                            <property name="stock_id">gtk-cancel</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="homogeneous">True</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkToolButton" id="all-start-button">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">Run the program now. Note: there is no option to stop, you will have to use the program's own facility to stop it. It will also happily start a second copy of the program if the program does not prevent that from happening.</property>
                            <property name="label" translatable="yes">Start</property>
                            <property name="use_underline">True</property>
                            <property name="stock_id">gtk-media-play</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="homogeneous">True</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                  </object>
                </child>
              </object>
              <packing>
                <property name="position">1</property>
              </packing>
            </child>
            <child type="tab">
              <object class="GtkLabel" id="label2">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">This shows the list of programs that will be started up when you start the desktop, for all users. You can only change the configuration if you are root.</property>
                <property name="label" translatable="yes">System startup programs</property>
              </object>
              <packing>
                <property name="position">1</property>
                <property name="tab_fill">False</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkHButtonBox" id="hbuttonbox1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="spacing">4</property>
            <child>
              <object class="GtkButton" id="close-button">
                <property name="label">gtk-close</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">True</property>
                <property name="use_stock">True</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkWindow" id="progress_window">
    <property name="can_focus">False</property>
    <property name="border_width">30</property>
    <property name="title" translatable="yes">Working ...</property>
    <property name="window_position">center</property>
    <child>
      <object class="GtkLabel" id="progress-label">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="label" translatable="yes">label</property>
      </object>
    </child>
  </object>
</interface>
